// 账单详情
import React from 'react';
import './style/index.less';

export default class BillingDetails extends React.Component {
  constructor({history}) {
    super();
    this.state = {
      adminStatus: true,
      visible: false,
      admID: "2"
    }
    this.history=history;
  }

  componentDidMount() {
    
  }

  // 返回账户
  handleGoAccount = () => {
    this.history.push("/0001/00020001")
  }

  render() {
    return (
      <div className="electronic-health-card">
        <div style={{height: "100%", overflow: "auto"}} className="account billing-details">
          <div className="list-baseinfo margintop10">
            <p>
              <i className="iconfont icon-chongzhi"></i>
              充值-微信充值
              <span>+200</span>
            </p>
            <div>
              <span>当前状态</span>
              <span className="float-right">充值成功</span>
            </div>
            <div>
              <span>时间</span>
              <span className="float-right">2019-11-13 14:02:05</span>
            </div>
            <div>
              <span>支付方式</span>
              <span className="float-right">微信支付</span>
            </div>
            <div>
              <span>账户余额</span>
              <span className="float-right">¥100.00</span>
            </div>
            <div>
              <span>交易单号</span>
              <span className="float-right">XYS20190101111</span>
            </div>
          </div>
        </div>
      </div>
    )
  }
}