import { createStore, combineReducers } from 'redux';

import homeDataRedux from './homeData';
import appointmentRegistrationRedux from './appointmentRegistration';
import accountManagementRedux from './accountManagement';

const reducer = combineReducers({
    homeRedux: homeDataRedux,
    appointRegRedux: appointmentRegistrationRedux,
    accountRedux: accountManagementRedux
})

const store = createStore(reducer);

export default store;
