// 随访记录
import React from 'react';
import { List } from 'antd-mobile';
import './style/index.less';

const Item = List.Item;

export default class FollowUpRecord extends React.Component {
  constructor() {
    super();
    this.state = {

    }
  }

  componentDidMount() {
    let rowData = this.props.location&&this.props.location.state ? this.props.location.state : {};
    if (rowData&&rowData.eventValue) {
      console.log(rowData)
    }
  }

  render() {
    return (
      <div className="follow-up-record">
        <List renderHeader={() => '基本信息'}>
          <Item extra="暂无数据" multipleLine align="top" wrap>
            随访日期
          </Item>
          <Item extra="暂无数据" multipleLine align="top" wrap>
            随访方式
          </Item>
          <Item extra="暂无数据" multipleLine align="top" wrap>
            转归
          </Item>
        </List>
        <List renderHeader={() => '症状'}>
          <Item multipleLine align="top" wrap>
            暂无数据
          </Item>
        </List>
        <List renderHeader={() => '体征'}>
          <Item extra="暂无数据" multipleLine align="top" wrap>
            血压
          </Item>
        </List>
        <List renderHeader={() => '生活指导方式'}>
          <Item extra="暂无数据" multipleLine align="top" wrap>
            日吸烟量(支)
          </Item>
        </List>
        <List renderHeader={() => '用药情况'}>
          <Item extra="" multipleLine align="top" wrap>
            暂无数据
          </Item>
        </List>
        <List renderHeader={() => '随访人员'}>
          <Item multipleLine align="top" wrap>
            暂无数据
          </Item>
        </List>
      </div>
    )
  }
}